Can't install WP anymore


#1

Guys and girls,

I just configured a brand new server (Ubuntu 16.04 + EE, all fresh install). When I try running an ee site create --wpredis I get an error message.

Digging around I discovered there is a problem with wp core download: it downloads a .tar.gz archive instead of a .zip one.

Have you been through this issue before? Do you know how to solve it, since I can’t just stop installing WordPress? Is it a matter of time in order to WP-Cli to get used to new WP version?

Any information would be of great help, since I’m kinda lost regarding this case.

Thanks in advance!


Any official guide on installing easyengine with Google Cloud
#2

I have the same issue.

When I run the ee site create command I get this:

Running pre-update checks, please wait… Setting up NGINX configuration [Done] Setting up webroot [Done] Downloading WordPress [Fail] Oops Something went wrong !! Calling cleanup actions … ‘ee_mysql_grant_host’

When I check the ee.log I have this:

2017-09-20 05:48:43,411 (DEBUG) ee : Running command: wp --allow-root core download 2017-09-20 05:48:48,051 (DEBUG) ee : Command Output: Downloading WordPress 4.8.2 (en_US)… md5 hash verified: 2e8744a702a3d9527782d9135a4c9544 , Command Error: Error: Couldn’t extract WordPress archive. unable to decompress gzipped phar archive “/tmp/wp_59c2013c723ca.tar.gz” to temporary file

Can somebody help? Thanks.


#3

At least, it is not an issue in my environment. :slight_smile:


#4

Same error for me. I guess ee needs an update ASAP!


Ee site create: Can't Install WP
#5

The problem is with this line wp --allow-root core download


#6

Same issue here. Many have the same issue. Usually how long does it take for easyengine team to fix the issues?


#7

even ee site delete won’t remove the entire directory. It is not working


#8

Same for me, please help us EasyEngine Experts?


#9

We have the same issue

root@localhost:~# ee site create anhduongtours.vn --hhvm --w3tc HHVM is experimental feature and it may not work with all plugins of your site. You can disable it by passing --hhvm=off later. Do you wish to enable HHVM now for domain.vn? Type “y” to continue [n]:y Running pre-update checks, please wait… Setting up NGINX configuration [Done] Setting up webroot [Done] Downloading WordPress [Fail] Oops Something went wrong !! Calling cleanup actions … ‘ee_mysql_grant_host’ You have new mail in /var/mail/root

Please fix this problems. We create new website normally until yesterday,


#10

Same problem for me too. Spent the last 5 hours trying to solve it and then visited this forum and saw that everyone is facing the same.

Dearest Easyengine Team,

Thanks a lot for making life Easy for us by gifting us EasyEngine. Please do try to solve this problem as soon as you can.


#11

I don’t think it’s about EE instead is the problem with WP-CLI coz this line

wp --allow-root core download

Will get an error. I have update our WP-CLI to the latest. Can anyone confirm if WP-CLI has support for the tar.gz files coz I get this

Error: Couldn’t extract WordPress archive. unable to decompress gzipped phar archive “/tmp/wp_59c2545d56e33.tar.gz” to temporary file


#12

Just FYI, there is an issue about this misbehavior in Github:


#13

If I use locale I can download Swedish

wp --allow-root core download --locale=sv_SE

even this works

wp --allow-root core download --locale=en_GB

So the issue here is the en_US WordPress package. When it download in /tmp folder wpcli can’t unpack it.

Can we change what locale file we want in EE?


#14

This is true.

I just tried with --locale=pt_BR and it worked just fine.


#15

How did you change your locale in ee?


#16

@MickePalm have you figure out how to change the locale config for ee?


#17

It seems to be some issue with the US package so a goal is to change the locale so the wp-cli download a local wp instead.


#18

Easyengine.io website itself is down now…! Hope it comes back fast!


#19

A temp solution can be made like this

If you want to change default locale, you can set default locale to ~/.wp-cli/config.yml like following.

core download: locale: sv_SE

Then wp-cli should grab a swedish wp. Set your own language there …


#20

One should take care of spaces; if the YAML file is not correctly formatted, it won’t work.

core download:
  locale: pt_BR

(I’m using pt_BR because it’s my preferred location, will fit perfectly for all my customers.)